Package com.logicaldoc.core.parser

# Class KOfficeParser

java.lang.Object
com.logicaldoc.core.parser.AbstractParser
com.logicaldoc.core.parser.KOfficeParser

All Implemented Interfaces:
  `Parser`

public class KOfficeParser extends AbstractParser
Text extractor for KOffice 1.6 documents.

Since:
  4.5.2
Author:
  Alessandro Gasparini - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`KOfficeParser()`

## Method Summary

Modifier and Type
Method
Description
`void`
`internalParse(InputStream input, ParseParameters parameters, StringBuilder content)`

### Methods inherited from class com.logicaldoc.core.parser.AbstractParser

`countPages, countPages, parse, parse, parse, parse`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KOfficeParser

public KOfficeParser()

## Method Details

### internalParse

public void internalParse(InputStream input, ParseParameters parameters, StringBuilder content)